Run Docker container
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Returns details of a single Run Docker container action
Request
REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
Response
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
RUN_DOCKER_CONTAINERurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopworking_directorystring
The directory in which the pipeline filesystem will be mountedmain_service_namestring
The hostname of the container in which the action is run. The container will be available under this name in the docker network for servicesrun_as_userstring
All build commands are run as the default user defined in the selected Docker image. Can be set to another username (on the condition that this user exists in the selected image)versionstring
The version of the package from package registrydocker_image_namestring
The name of the Docker imagedocker_image_tagstring
The tag of the Docker imageexecute_commandsstring[]
The commands that will be executedmount_filesystem_disableboolean
If set to true, the filesystem will not be mounted in the containervolume_mappingsstring[]
The path preceding the colon is the filesystem path (the folder from the filesystem to be mounted in the container). The path after the colon is the container path (the path in the container, where this filesystem will be located)cached_dirsstring[]
The dependencies & directories to be cached and available to every execution in this pipelinesetup_commandsstring[]
The command that will be executed only on the first runservicesServiceView[]
The list of services attached to the build environmentshellstring enum
The name of the shell that will be used to execute commandsAllowed enum:
SH,BASH,POWERSHELLregistrystring
The URL of the Docker registryinsecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPSloginstring
The username for the Docker registrytarget_stagestring
The target stage of the Dockerfilepasswordstring
The password for the Docker registryregionstring
The region for the Docker registry (for AWS ECR)image_locationstring enum
The location of the image used by the actionAllowed enum:
PUBLIC_REGISTRY,PRIVATE_REGISTRY,ACTION,PACKAGE_REGISTRYdocker_registrystring enum
The type of registry from which the image is retrievedAllowed enum:
NONE,DOCKER_HUB,AMAZON_ECR,GOOGLE_GCR,GOOGLE_ARTIFACT_REGISTRY,OTHER,GIT_HUB_CONTAINER_REGISTRY,PACKAGE_REGISTRY,DIGITAL_OCEAN_CONTAINER_REGISTRYdocker_build_action_idinteger
The ID of the action from which the Docker image will be useddocker_build_action_namestring
The name of the action from which the Docker image will be usedexport_container_pathstring
The path in the container to exportexecute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous commandignore_image_pull_failuresboolean
If set to true, use cached image on timeouts (only for official images)cache_base_imageboolean
If set to true, the cached version of the image is used, instead of being pulled each timereset_entrypointboolean
If set to true, resets the default entrypoint set by the image. Default value: falsevt_suitestring
The visual tests suite identifierunit_tests_suitestring
The unit tests suite identifierunit_tests_pathstring
The path to the unit tests resultsintegrationIntegrationIdentifierView
The integration used by the actionentrypointstring
The entrypoint to use for the Docker containerinline_commandsstring
The commands to execute inside the Docker containerpackagestring
The identifier of the package from package registryLast modified on Feb 18, 2026
Request example
CURLcurl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK